Subject: bug#48125: 28.0.50; Display garbled by emoji variation sequence

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 May 2021 19:05:02 +0300

> From: Filipp Gunbin <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 04 May 2021 18:34:09 +0300
> 
> BTW, I see that emoji, as well as other characters from fonts different
> from my selected one (Terminal has some font fallback logic), have
> different width.  Is it ok for Emacs if a terminal emulator uses
> different widths for different chars?

OK in what sense?  On TTY frames layout and rendering are left to the
terminal emulator; if it can handle this situation, Emacs won't care.